## org.flexdock.docking.drag.outline.x11
Class Graphics

    java.lang.Object
      org.flexdock.docking.drag.outline.x11.Graphics

    public class Graphics

extends java.lang.Object

Author:
  Christopher Butler

Field Summary
`static int` `BITMASK_BACKGROUND`
`static int` `BITMASK_FOREGROUND`
`static int` `BITMASK_FUNCTION`
`static int` `BITMASK_SUBWIN_MODE`
`static int` `CHANGE_GC_OPCODE`
`static int` `CREATE_GC_OPCODE`
`static int` `DEFAULT_AUTH_DATA_LENGTH`
`static int` `DEFAULT_AUTH_NAME_LENGTH`
`static int` `MAJOR_VERSION`
`static int` `MINOR_VERSION`
`static char` `MOST_SIGNIFICANT_BIT_FIRST`
`static int` `POLY_RECT_OPCODE`
`static int` `SUBWIN_MODE_CLIP_BY_CHILDREN`
`static int` `SUBWIN_MODE_INCLUDE_INFERIORS`
`static int` `XOR_MODE`

Method Summary
`void` `dragRectange(int x, int y, int width, int height)`
`void` `drawRectangle(java.awt.Rectangle r)`
`void` `finalize()`
`int` `getBlackPixel()`
`static Graphics` `getGraphics()`
`int` `getWhitePixel()`
`void` `setForeground(int color)`
`void` `setSubWindowMode(int winMode)`
`void` `setXor()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MOST_SIGNIFICANT_BIT_FIRST

    public static final char MOST_SIGNIFICANT_BIT_FIRST

See Also:
  Constant Field Values

### MAJOR_VERSION

    public static final int MAJOR_VERSION

See Also:
  Constant Field Values

### MINOR_VERSION

    public static final int MINOR_VERSION

See Also:
  Constant Field Values

### DEFAULT_AUTH_NAME_LENGTH

    public static final int DEFAULT_AUTH_NAME_LENGTH

See Also:
  Constant Field Values

### DEFAULT_AUTH_DATA_LENGTH

    public static final int DEFAULT_AUTH_DATA_LENGTH

See Also:
  Constant Field Values

### CREATE_GC_OPCODE

    public static final int CREATE_GC_OPCODE

See Also:
  Constant Field Values

### CHANGE_GC_OPCODE

    public static final int CHANGE_GC_OPCODE

See Also:
  Constant Field Values

### POLY_RECT_OPCODE

    public static final int POLY_RECT_OPCODE

See Also:
  Constant Field Values

### BITMASK_FUNCTION

    public static final int BITMASK_FUNCTION

See Also:
  Constant Field Values

### BITMASK_FOREGROUND

    public static final int BITMASK_FOREGROUND

See Also:
  Constant Field Values

### BITMASK_BACKGROUND

    public static final int BITMASK_BACKGROUND

See Also:
  Constant Field Values

### BITMASK_SUBWIN_MODE

    public static final int BITMASK_SUBWIN_MODE

See Also:
  Constant Field Values

### XOR_MODE

    public static final int XOR_MODE

See Also:
  Constant Field Values

### SUBWIN_MODE_CLIP_BY_CHILDREN

    public static final int SUBWIN_MODE_CLIP_BY_CHILDREN

See Also:
  Constant Field Values

### SUBWIN_MODE_INCLUDE_INFERIORS

    public static final int SUBWIN_MODE_INCLUDE_INFERIORS

See Also:
  Constant Field Values

Method Detail

### getGraphics

    public static Graphics getGraphics()

### setForeground

    public void setForeground(int color)

### setSubWindowMode

    public void setSubWindowMode(int winMode)

### setXor

    public void setXor()

### dragRectange

    public void dragRectange(int x,
                             int y,
                             int width,
                             int height)

### drawRectangle

    public void drawRectangle(java.awt.Rectangle r)

### getWhitePixel

    public int getWhitePixel()

### getBlackPixel

    public int getBlackPixel()

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`